Security Enhanced Linux Reference Policy

# Layer: services

## Module: cups

Interfaces

### Description:

Common UNIX printing system

### Interfaces:

cups_admin( domain , role )

##### Summary

All of the rules required to administrate an cups environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed to manage the cups domain.

cups_append_log( domain )

##### Summary

Append cups log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cups_backend( domain )

##### Summary

Setup cups to transtion to the cups backend domain

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

cups_dbus_chat( domain )

##### Summary

Send and receive messages from cups over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cups_dbus_chat_config( domain )

##### Summary

Send and receive messages from cupsd_config over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cups_domtrans( domain )

##### Summary

Execute cups in the cups domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

cups_domtrans_config( domain )

##### Summary

Execute cups_config in the cups_config domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

cups_read_config( domain )

##### Summary

Read cups configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cups_read_log( domain )

##### Summary

Read cups log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cups_read_pid_files( domain )

##### Summary

Read cups PID files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cups_read_rw_config( domain )

##### Summary

Read cups-writable configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cups_signal_config( domain )

##### Summary

Send generic signals to the cups configuration daemon.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cups_stream_connect( domain )

##### Summary

Connect to cupsd over an unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cups_stream_connect_ptal( domain )

##### Summary

Connect to ptal over an unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cups_tcp_connect( domain )

##### Summary

Connect to cups over TCP. (Deprecated)

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

cups_write_log( domain )

##### Summary

Write cups log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return